Subject: [nfsv4] Network File System Version 4 (nfsv4) WG Virtual Meeting: 2020-07-09

From: IESG Secretary <[email-masked]>
Date: Wed, 08 Jul 2020 14:26:48 -0700

The Network File System Version 4 (nfsv4) WG will hold
a virtual interim meeting on 2020-07-09 from 09:00 to 11:00 America/Los_Angeles (16:00 to 18:00 UTC).

Agenda:

Who Time MS Doc Description
D. Noveck 5 min. N/A Introduction including NOTE WELL.
D. Noveck 5 min. N/A Agenda bashing. 
S. Faibish 20 min. Yes. ? Discussion of progress and plans for standards-track document describing use of NVMe  in connection with pNFS.
D. Noveck 5 min. N/A Discussion of overall process for rfc5661bis.
5 min 2/2021 I-D Discussion of revised internationalization document (for all minor versions) to be referenced by rfc5661bis.
20 min. WBD
I-D Discussion of needed changes for new NFSv4 security approach.
5 min. WBD No. Discussion of plans and status for a revised NFSv4.1 specification.
5 min N/A Summary of current decisions and actions necessary to move forward.
C. Lever 15 min. 12/2020 Yes. Discussion of status and possible remaining issues for RPC-over-RDMA v2.
S. Faibish 15 min. TBD I-D Discussion of proposed storage compression attributes and associated implementation plans.
D. Noveck 10 min. N/A Discussion of issues with client caching of directories concerning how the directory entry cookies and ordering are  to be managed, both in the same-client and other-client cases.
D. Noveck 5 min. N/A Review of document and milestone status.

Information about remote participation:
https://ietf.webex.com/ietf/j.php?MTID=mef56921edfe5a931dedf7851b1507ebf

This is supposed to be scheduled for July 9 (tomorrow) - sorry, something went wrong.

---

From: John C Klensin <[email-masked]>
Date: Wed, 08 Jul 2020 21:22:43 -0400

Hi.
Even with the "sorry, something went wrong" at the end of this
note and the posted revision 18 minutes later (with that apology
removed), are we really allowing a WG Interim meeting to be held
less than 19 hours after its announcement to the IETF Announce
list?

There is an obvious matter of principle because people who are
interested in the WG's work but might not have been actively
participating on its mailing list (assuming there more notice on
that list) might not be able to arrange attendance with that
sort of notice.  Equally important, there has been an extended
discussion of some of the directions of NFS on another list that
might reasonably justify a summary or discussion on the agenda
but presumably cannot be proposed given this short notice.

If it should have been announced earlier but slipped through
that cracks that is regrettable but should still not, at least
IMO, be justification for going ahead with a meeting on such
short notice.

thanks,
   john

--On Wednesday, July 8, 2020 14:26 -0700 IESG Secretary
<[email-masked]> wrote:

> a virtual interim meeting on 2020-07-09 from 09:00 to 11:00
> America/Los_Angeles (16:00 to 18:00 UTC).
> 
> Agenda:
> 
> S. Faibish 20 min. Yes. ? Discussion of progress and plans for
> standards-track document describing use of NVMe  in connection
> with pNFS. D. Noveck 5 min. N/A Discussion of overall process
> for rfc5661bis. 5 min 2/2021 I-D Discussion of revised
> internationalization document (for all minor versions) to be
> referenced by rfc5661bis. 20 min. WBD
> I-D Discussion of needed changes for new NFSv4 security
> approach. 5 min. WBD No. Discussion of plans and status for a
> revised NFSv4.1 specification. 5 min N/A Summary of current
> decisions and actions necessary to move forward. C. Lever 15
> min. 12/2020 Yes. Discussion of status and possible remaining
> issues for RPC-over-RDMA v2. S. Faibish 15 min. TBD I-D
> Discussion of proposed storage compression attributes and
> associated implementation plans. D. Noveck 10 min. N/A
> Discussion of issues with client caching of directories
> concerning how the directory entry cookies and ordering are
> to be managed, both in the same-client and other-client cases.
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: David Noveck <[email-masked]>
Date: Wed, 8 Jul 2020 23:05:33 -0400

> less than 19 hours after its announcement to the IETF Announce

Unless I hear otherwise from Magnus, we are going ahead with this meeting,
which has been scheduled and discussed on the working group list for weeks.

> There is an obvious matter of principle

It is it not clear to me what principle you are referring to.

because

people who are
> participating on its mailing list

I accept that there are interested people who are not actively
participating.

However, I'm having trouble understanding how someone interested in the
work of the working group can totally avoid reading the working group list.
Color me skeptical.

(assuming there more notice on
> that list)

It has.

might not be able to arrange attendance with that
> sort of notice.

If there are such people, I want to offer them my apologies.

Equally important, there has been an extended
> but presumably cannot be proposed given this short notice.

I'm unaware of any such discussion.  The appropriate way to make the
working group aware of it would be to send mail to the working group list.
This still should.be done.
While you might want a slot on the agenda, it might not be available, even
if you had been reading the working group list when this meeting was first
discussed.

> IMO, be justification for going ahead with a meeting on such

My opinion is different.  I cannot see delaying at this point and
inconveniencing the working group members, who have been preparing for this
meeting for some time. This is especially so since our AD's vacation
schedule is such that the next opportunity to meet would be in September.

> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4
>

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 9 Jul 2020 09:02:15 +0200

> It is it not clear to me what principle you are referring to.

Probably https://www.ietf.org/how/meetings/interim

I am surprised the tooling lets you create an interrim meeting without
the standard 4 week headway.

The obvious workaround for expedience is that any group of people can
always have an informal, not IETF "blessed" meeting.

Given how actual WG decisions have to be made on the mailing list anyhow,
the only difference between any such informal and official (virtual/side)
meeting are IMHO really only the processes. For better or worse.

IMHO, inoffical side meetings are the best way to solve expediency issues.
Just make sure that even more diligence is taken in recording what
happened during such a meeting via notes and spend more time presenting
summary at the next official meeting and allowing a discussion about it then.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Brian Pawlowski <[email-masked]>
Date: Thu, 9 Jul 2020 00:04:57 -0700

👍🏻

On Jul 9, 2020, at 00:02, Toerless Eckert <[email-masked]> wrote:

Cheers
   Toerless

-- 
---
[email-masked]

---

From: Magnus Westerlund <[email-masked]>
Date: Thu, 9 Jul 2020 07:45:31 +0000

Hi,

(BCC only for NFSv4)

So the WG and I have been aware of the scheduling of this Interim since the 18th
of June when it was finalized. The agenda was provided to the WG 10 days in
advance. The fact that this was scheduled when it was, i.e. a bit more than 2
weeks before an IETF meeting was to ensure that the WG would make progress and
have an effective meeting. Something that was less sure if the WG had scheduled
during the IETF 108. I was aware of this and approved it. 

The failure here has been to get the meeting into the datatracker so that it was
announced to the broad IETF community. Which looking at the IESG statement: 

https://www.ietf.org/about/groups/iesg/statements/interim-meetings-guidance-2016-01-16/
 is not required for virtual interrims. But, something that clearly has its
point and I am happy to discuss that further with the community and IESG if the
general rules should be so that this is required.  

Unfortunately that the meeting wasn't in the datatracker wasn't noticed until
one of the WG chairs was attempting to upload the material. For that we can't
other than appologize. At this stage I don't see how declaring this a just an
informal meeting will actually help. Especially as the WG hasn't in fact broken
current set of rules. 

So I think there are still important difference between F2F and virtual Interims
due to the additional costs related to travel and where sufficient advance
notice is required to ensure that people can attend. So I think that do motivate
a difference between 2 and 4 weeks prior announcenemnt. 

I think requiring public announcement for both F2F and virtual Interrim meetings
is probably something we should do. Especially as getting the datatracker to be
able to store minutes and slides requires the meeting to have been scheduled. So
in reality I would guess that almost all WG have been doing this anyway.

Blackout periods around the IETF meetings is something we can definitely discuss
more. I know the IESG are interested in hearing the communities view of these.
We did make a decision very recently for IETF 108 that was announced on the 2nd
of July:
https://mailarchive.ietf.org/arch/msg/ietf-announce/4Xp3RYZm1vfboV0ivnB7xucjkhY/

Toerless, considering that the current set of rules are such that one is not
required to announce a virtual interrim to the whole of IETF, it is not a
surprise that the tooling doesn't enforce things. We also need to consider what
needs for exceptions there exists. But clearly the tool should warn about
failures to adhere to current rules. 

Cheers

Magnus Westerlund
TSV AD responsible for NFSv4 WG